class CookieHubCookieSolver {
	constructor (API, name, config) {
		this.API = API;
		this.name = name;
		this.config = config;
	}

	addInsertions () {
		if (this.config.Code_position == 'Header') {
			this.API.addInsertion('publiiHead', this.addCode, 1, this);
		}else{
			this.API.addInsertion('publiiFooter', this.addCode, 1, this);
		}
	}

	addCode () {
		let scriptToLoad = '';
		if (this.config.Cookiehub_code != '') {
			scriptToLoad = `<script src="https://cookiehub.net/c2/`+this.config.Cookiehub_code+`.js"></script><script type="text/javascript">document.addEventListener("DOMContentLoaded", function(event) {var cpm = {};window.cookiehub.load(cpm);});</script>`;
		}
		return scriptToLoad;
	}
}

module.exports = CookieHubCookieSolver;
